package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 设备台账对象 adm_ems_device_rbook
 * 
 * @author ruoyi
 * @date 2024-08-26
 */
public class AdmEmsDeviceRbook extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 记录编号 */
    @Excel(name = "记录编号")
    private String recordCode;

    /** 对象类型 1：设施 2：设备 */
    @Excel(name = "对象类型 1：设施 2：设备")
    private Long objType;

    /** 对象代码 */
    @Excel(name = "对象代码")
    private String objCode;

    /** 对象名称 */
    @Excel(name = "对象名称")
    private String objName;

    /** 安装位置 */
    @Excel(name = "安装位置")
    private String insLocation;

    /** 维护标题 */
    @Excel(name = "维护标题")
    private String maintainTitle;

    /** 维护内容 */
    @Excel(name = "维护内容")
    private String maintainContent;

    /** 维护人 */
    @Excel(name = "维护人")
    private String maintainPerson;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRecordCode(String recordCode) 
    {
        this.recordCode = recordCode;
    }

    public String getRecordCode() 
    {
        return recordCode;
    }
    public void setObjType(Long objType) 
    {
        this.objType = objType;
    }

    public Long getObjType() 
    {
        return objType;
    }
    public void setObjCode(String objCode) 
    {
        this.objCode = objCode;
    }

    public String getObjCode() 
    {
        return objCode;
    }
    public void setObjName(String objName) 
    {
        this.objName = objName;
    }

    public String getObjName() 
    {
        return objName;
    }
    public void setInsLocation(String insLocation) 
    {
        this.insLocation = insLocation;
    }

    public String getInsLocation() 
    {
        return insLocation;
    }
    public void setMaintainTitle(String maintainTitle) 
    {
        this.maintainTitle = maintainTitle;
    }

    public String getMaintainTitle() 
    {
        return maintainTitle;
    }
    public void setMaintainContent(String maintainContent) 
    {
        this.maintainContent = maintainContent;
    }

    public String getMaintainContent() 
    {
        return maintainContent;
    }
    public void setMaintainPerson(String maintainPerson) 
    {
        this.maintainPerson = maintainPerson;
    }

    public String getMaintainPerson() 
    {
        return maintainPerson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("recordCode", getRecordCode())
            .append("objType", getObjType())
            .append("objCode", getObjCode())
            .append("objName", getObjName())
            .append("insLocation", getInsLocation())
            .append("maintainTitle", getMaintainTitle())
            .append("maintainContent", getMaintainContent())
            .append("maintainPerson", getMaintainPerson())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
